jQuery( function( $ ) {
	'use strict';

	/**
	 * Object to handle Nuvei admin functions.
	 */
	var nuvei_gateway_admin = {

		/**
		 * Initialize.
		 */
		init: function() {
			$( document.body ).on( 'change', '#woocommerce_nuvei_testmode', function() {
				var test_secret_key = $( '#woocommerce_nuvei_test_secret_key' ).parents( 'tr' ).eq( 0 ),
					test_publishable_key = $( '#woocommerce_nuvei_test_publishable_key' ).parents( 'tr' ).eq( 0 ),
					test_currency = $( '#woocommerce_nuvei_test_currency' ).parents( 'tr' ).eq( 0 ),
					test_multicurrency = $( '#woocommerce_nuvei_test_multicurrency' ).parents( 'tr' ).eq( 0 ),
					test_secret_key2 = $( '#woocommerce_nuvei_test_secret_key2' ).parents( 'tr' ).eq( 0 ),
					test_publishable_key2 = $( '#woocommerce_nuvei_test_publishable_key2' ).parents( 'tr' ).eq( 0 ),
					test_currency2 = $( '#woocommerce_nuvei_test_currency2' ).parents( 'tr' ).eq( 0 ),
					test_multicurrency2 = $( '#woocommerce_nuvei_test_multicurrency2' ).parents( 'tr' ).eq( 0 ),
					test_secret_key3 = $( '#woocommerce_nuvei_test_secret_key3' ).parents( 'tr' ).eq( 0 ),
					test_publishable_key3 = $( '#woocommerce_nuvei_test_publishable_key3' ).parents( 'tr' ).eq( 0 ),
					test_currency3 = $( '#woocommerce_nuvei_test_currency3' ).parents( 'tr' ).eq( 0 ),
					test_multicurrency3 = $( '#woocommerce_nuvei_test_multicurrency3' ).parents( 'tr' ).eq( 0 ),

					live_secret_key = $( '#woocommerce_nuvei_live_secret_key' ).parents( 'tr' ).eq( 0 ),
					live_publishable_key = $( '#woocommerce_nuvei_live_publishable_key' ).parents( 'tr' ).eq( 0 ),
					live_currency = $( '#woocommerce_nuvei_live_currency' ).parents( 'tr' ).eq( 0 ),
					live_multicurrency = $( '#woocommerce_nuvei_live_multicurrency' ).parents( 'tr' ).eq( 0 ),
					live_secret_key2 = $( '#woocommerce_nuvei_live_secret_key2' ).parents( 'tr' ).eq( 0 ),
					live_publishable_key2 = $( '#woocommerce_nuvei_live_publishable_key2' ).parents( 'tr' ).eq( 0 ),
					live_currency2 = $( '#woocommerce_nuvei_live_currency2' ).parents( 'tr' ).eq( 0 ),
					live_multicurrency2 = $( '#woocommerce_nuvei_live_multicurrency2' ).parents( 'tr' ).eq( 0 ),
					live_secret_key3 = $( '#woocommerce_nuvei_live_secret_key3' ).parents( 'tr' ).eq( 0 ),
					live_publishable_key3 = $( '#woocommerce_nuvei_live_publishable_key3' ).parents( 'tr' ).eq( 0 ),
					live_currency3 = $( '#woocommerce_nuvei_live_currency3' ).parents( 'tr' ).eq( 0 ),
					live_multicurrency3 = $( '#woocommerce_nuvei_live_multicurrency3' ).parents( 'tr' ).eq( 0 ),

					title = $( '#woocommerce_nuvei_title' ),
					description = $( '#woocommerce_nuvei_description' );

				if ( $( this ).is( ':checked' ) ) {
					test_secret_key.show();
					test_publishable_key.show();
					test_currency.show();
					test_multicurrency.show();
					test_secret_key2.show();
					test_publishable_key2.show();
					test_currency2.show();
					test_multicurrency2.show();
					test_secret_key3.show();
					test_publishable_key3.show();
					test_currency3.show();
					test_multicurrency3.show();

					live_secret_key.hide();
					live_publishable_key.hide();
					live_currency.hide();
					live_multicurrency.hide();
					live_secret_key2.hide();
					live_publishable_key2.hide();
					live_currency2.hide();
					live_multicurrency2.hide();
					live_secret_key3.hide();
					live_publishable_key3.hide();
					live_currency3.hide();
					live_multicurrency3.hide();
				} else {
					test_secret_key.hide();
					test_publishable_key.hide();
					test_currency.hide();
					test_multicurrency.hide();
					test_secret_key2.hide();
					test_publishable_key2.hide();
					test_currency2.hide();
					test_multicurrency2.hide();
					test_secret_key3.hide();
					test_publishable_key3.hide();
					test_currency3.hide();
					test_multicurrency3.hide();

					live_secret_key.show();
					live_publishable_key.show();
					live_currency.show();
					live_multicurrency.show();
					live_secret_key2.show();
					live_publishable_key2.show();
					live_currency2.show();
					live_multicurrency2.show();
					live_secret_key3.show();
					live_publishable_key3.show();
					live_currency3.show();
					live_multicurrency3.show();
				}

				title.val('Debit or Credit Card (Nuvei)');
				description.val('Pay with your debit or credit card via Nuvei.');
			} );


            $( document.body ).on( 'change', '#woocommerce_nuvei_3ds', function() {
                var mpi_receipt_url = $( '#woocommerce_nuvei_mpi_receipt_url' ).parents( 'tr' ).eq( 0 )

                if ( $( this ).is( ':checked' ) ) {
                    mpi_receipt_url.show();
                } else {
                    mpi_receipt_url.hide();
                }
            } );


            $( document.body ).on( 'change', '#woocommerce_nuvei_background_validation', function() {
                var background_validation_url = $( '#woocommerce_nuvei_background_validation_url' ).parents( 'tr' ).eq( 0 )

                if ( $( this ).is( ':checked' ) ) {
                    background_validation_url.show();
                } else {
                    background_validation_url.hide();
                }
            } );

            $( '#woocommerce_nuvei_testmode' ).change();
            $( '#woocommerce_nuvei_3ds' ).change();
            $( '#woocommerce_nuvei_background_validation' ).change();


		}
	};

	nuvei_gateway_admin.init();
});
